using System;

namespace Sharp3D
{
	public class ExponentialFog : IFog
	{
		private Color color;
		private double d;

		public ExponentialFog(Color color, double d)
		{
			this.color = color;
			this.d = d;
		}

		public Color Color
		{
			get
			{
				return color;
			}
		}

		public Color applyFog(double z, Color color)
		{
			double f = Math.Exp(-d*z);

			return f*color + (1.0 - f)*this.color;
		}
	}
}
