using System;

namespace Sharp3D
{
	public class Line2D
	{
		public Point2D StartPoint;
		public Point2D EndPoint;

		public Line2D()
		{
			StartPoint = new Point2D();
			EndPoint = new Point2D();
		}

		public Line2D(Point2D startPoint, Point2D endPoint)
		{
			StartPoint = startPoint;
			EndPoint = endPoint;
		}

		public Line2D(Line2D line)
		{
			StartPoint = line.StartPoint;
			EndPoint = line.EndPoint;
		}
	}
}
