using System;

namespace Sharp3D
{
	public class Rectangle2D
	{
		public double Left, Top, Right, Bottom;

		public Rectangle2D(double left, double top, double right, double bottom)
		{
			Left = left;
			Top = top;
			Right = right;
			Bottom = bottom;
		}

		public Rectangle2D(Rectangle2D rect)
		{
			Left = rect.Left;
			Top = rect.Top;
			Right = rect.Right;
			Bottom = rect.Bottom;
		}

		public double Width
		{
			get
			{
				return Right - Left;
			}
			set
			{
				Right = Left + value;
			}
		}

		public double Height
		{
			get
			{
				return Bottom - Top;
			}
			set
			{
				Bottom = Height + value;
			}
		}
	}
}
