using System;

namespace Sharp3D
{
	public class TextureVertexShader : IVertexShader
	{
		private Matrix matrixLocal2Canonical;

		public TextureVertexShader(Matrix matrixLocal2Canonical)
		{
			this.matrixLocal2Canonical = matrixLocal2Canonical;
		}

		public Vertex calculate(Vertex input)
		{
			return new Vertex(matrixLocal2Canonical * input.Position, input.TextureCoordinate0);
		}
	}
}
