using System;

namespace Sharp3D
{
	public interface ILight
	{
		double CalcDiffuseWeight(Point3D position, Vector3D normal, Material material);

		double CalcSpecularWeight(Point3D position, Vector3D normal, Point3D cameraPos, Material material);

		ILight GetTransformed(Matrix m);

		Color Color
		{
			get;
		}
	}
}
