using System;

namespace Sharp3D
{
	public class LinearFog : IFog
	{
		private Color color;
		private double a, b;

		public LinearFog(Color color, double a, double b)
		{
			this.color = color;
			this.a = a;
			this.b = b;
		}

		public Color Color
		{
			get
			{
				return color;
			}
		}

		public Color applyFog(double z, Color color)
		{
			double f = a*z + b;

			return f*color + (1.0 - f)*this.color;
		}
	}
}
