using System;
using System.Collections;

namespace Sharp3D
{
	public class Polygon3D
	{
		private ArrayList vertices;

		public Polygon3D(params Vertex[] vertices)
		{
			this.vertices = new ArrayList(vertices);
		}

		public int Size
		{
			get
			{
				return vertices.Count;
			}
		}

		public Vertex this[int i]
		{
			get
			{
				return (Vertex)vertices[i];
			}
		}

		public void Add(Vertex v)
		{
			vertices.Add(v);
		}
	}
}
